package com.gyee.wisdom.alarm.sharding.service;

import com.gyee.wisdom.alarm.sharding.entity.WindPowerStation;
import com.gyee.wisdom.alarm.sharding.mapper.WindPowerStationMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class WindpowerstationService {
    @Autowired
    private WindPowerStationMapper windPowerStationMapper;

    public WindPowerStation getAllWindPowerStation(String id) {
        return windPowerStationMapper.getStationByid(id);
    }

    public List<WindPowerStation> getAllStation(String id){
        List<WindPowerStation> stationAll = windPowerStationMapper.getStationAll(id);
        return stationAll;
    }
}
